<?php
/**
 * Установка модуля
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2023 OOO «Диафан» (http://www.diafan.ru/)
 */

if (!defined("DIAFAN")) {
	$path = __FILE__;

	while (!file_exists($path . "/includes/404.php")) {
		$parent = dirname($path);

		if ($parent == $path) {
			exit();
		}

		$path = $parent;
	}

	include $path . "/includes/404.php";
}

class Bifit_install extends Install
{
	/**
	 * @var string название
	 */
	public $title = "БИФИТ Касса";

	/**
	 * @var array таблицы в базе данных
	 */
	public $tables = [
		[
			"name" => "bifit",
			"comment" => "БИФИТ Касса",
			"fields" => [
				[
					"name" => "id",
					"type" => "INT(11) UNSIGNED NOT NULL AUTO_INCREMENT",
				],
				[
					"name" => "order_id",
					"type" => "INT(11) UNSIGNED NOT NULL DEFAULT '0'",
				],
				[
					"name" => "order_number",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''",
				],
				[
					"name" => "order_date",
					"type" => "datetime NOT NULL DEFAULT '0000-00-00 00:00:00'",
				],
				[
					"name" => "cashier",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''",
				],
				[
					"name" => "client",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''",
				],
				[
					"name" => "receipt_link",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''",
				],
				[
					"name" => "receipt_id",
					"type" => "INT(11) UNSIGNED NOT NULL DEFAULT '0'",
				],
				[
					"name" => "receipt_type",
					"type" => "VARCHAR(50) NOT NULL DEFAULT ''",
				],
				[
					"name" => "payment_type",
					"type" => "VARCHAR(50) NOT NULL DEFAULT ''",
				],
				[
					"name" => "doc",
					"type" => "TEXT",
				],
				[
					"name" => "log",
					"type" => "TEXT",
				],
			],
			"keys" => ["PRIMARY KEY (id)"],
		],
	];

	/**
	 * @var array записи в таблице {modules}
	 */
	public $modules = [
		[
			"name" => "bifit",
			"admin" => true,
			"site" => true,
		],
	];

	/**
	 * @var array меню административной части
	 */
	public $admin = [
		[
			"name" => "БИФИТ Касса",
			"rewrite" => "bifit",
			"group_id" => 2,
			"sort" => 26,
			"act" => true,
		],
	];
}
